Installing Koha on Kubuntu 8.04

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Installing Koha on Kubuntu 8.04

Jenny Scott-Thompson

Hi,
I am trying to install Koha on Kubuntu 8.04, and having trouble finding all the right prerequisites. I have added the IndexData repositories to my sources.list, but when I try to install yaz, I get the error that yaz and libyaz3 depend on libssl0.9.7 but it is not installable. I have libssl0.9.8 installed already.
Can anyone help, please?
Thanks,
Jenny

_________________________________________________________________
Make a mini you and download it into Windows Live Messenger
http://clk.atdmt.com/UKM/go/111354029/direct/01/
_______________________________________________
Koha mailing list
[hidden email]
http://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: Installing Koha on Kubuntu 8.04

Betsy Law
This info from the wiki
(http://wiki.koha.org/doku.php?id=ubuntu_gutsy) worked for me on
Ubuntu Hardy; it may do the trick for you.

Install libssl0.9.7 ( Needed For Yaz ). Gutsy has libssl0.9.8, but yaz
won't install with that one. We need to download the older version and
install it by hand.

wget http://mirrors.kernel.org/ubuntu/pool/universe/o/openssl097/libssl0.9.7_0.9.7k-3_i386.deb
sudo dpkg -i libssl0.9.7_0.9.7k-3_i386.deb

--Betsy

On Mon, Sep 29, 2008 at 2:10 PM, Jenny Scott-Thompson
<[hidden email]> wrote:

>
> Hi,
> I am trying to install Koha on Kubuntu 8.04, and having trouble finding all the right prerequisites. I have added the IndexData repositories to my sources.list, but when I try to install yaz, I get the error that yaz and libyaz3 depend on libssl0.9.7 but it is not installable. I have libssl0.9.8 installed already.
> Can anyone help, please?
> Thanks,
> Jenny
>
> _________________________________________________________________
> Make a mini you and download it into Windows Live Messenger
> http://clk.atdmt.com/UKM/go/111354029/direct/01/
> _______________________________________________
> Koha mailing list
> [hidden email]
> http://lists.katipo.co.nz/mailman/listinfo/koha
>
_______________________________________________
Koha mailing list
[hidden email]
http://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: Installing Koha on Kubuntu 8.04

Pablo A. Bianchi
On Mon, Sep 29, 2008 at 9:07 PM, Betsy Law <[hidden email]> wrote:

> This info from the wiki
> (http://wiki.koha.org/doku.php?id=ubuntu_gutsy) worked for me on
> Ubuntu Hardy; it may do the trick for you.
>
> Install libssl0.9.7 ( Needed For Yaz ). Gutsy has libssl0.9.8, but yaz
> won't install with that one. We need to download the older version and
> install it by hand.
>
> wget http://mirrors.kernel.org/ubuntu/pool/universe/o/openssl097/libssl0.9.7_0.9.7k-3_i386.deb
> sudo dpkg -i libssl0.9.7_0.9.7k-3_i386.deb

That URL gives a 404 error. Is this deb the correct one?:

libssl0.9.7_0.9.7g-5ubuntu1.1_i386.deb

If it is, I'll fix the article on the wiki.

Does anybody know if there is any difference in this instructions when
installing on Ubuntu Hardy Heron (Ubuntu Server) instead of Gutsy
Gibbon? Gutsy is now deprecated.

Before I'd found that wiki article I was following the instructions on
"install.DEBIAN" file. Now I'm following both.

--
Pablo
_______________________________________________
Koha mailing list
[hidden email]
http://lists.katipo.co.nz/mailman/listinfo/koha